using System.ComponentModel;

namespace MWS.Library.Enums
{
    public enum PLCDataType : short
    {
        /// <summary>
        /// 布尔
        /// </summary>
        [Description("布尔")]
        BOOL = 1,
        /// <summary>
        /// 字节
        /// </summary>
        [Description("字节")]
        BYTE = 2,
        /// <summary>
        /// ushort
        /// </summary>
        [Description("无符号整数")]
        WORD = 3,
        /// <summary>
        /// short
        /// </summary>
        [Description("带符号的整数")]
        INT = 4,
        /// <summary>
        /// uint
        /// </summary>
        [Description("无符号双整数")]
        DWORD = 5,
        /// <summary>
        /// int
        /// </summary>
        [Description("带符号的双整数")]
        DINT = 6,
        /// <summary>
        /// folat
        /// </summary>
        [Description("实数")]
        REAL = 7

    }
}
